Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 9 Aug 2021 08:05:19 -0600

On 8/8/21 10:29 PM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   fs/io-wq.c
> 
> between commit:
> 
>   21698274da5b ("io-wq: fix lack of acct->nr_workers < acct->max_workers judgement")
> 
> from Linus' tree and commit:
> 
>   e16aa0c614c6 ("io-wq: remove GFP_ATOMIC allocation off schedule out path")
> 
> from the block tree.
> 
> I fixed it up (I just used the latter version, but more may be needed?) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

I'm going to re-shuffle the 5.15 branch, I knew we'd be hitting this
conflict after the merge for 5.14 on Saturday. Hence it'll be a short
lived conflict.

-- 
Jens Axboe